using System;
using System.Collections.Generic;
using System.Text;

namespace Inheritance
{
   interface ICreature
   {
      int NumLegs { get; set; }
      string Color { get; set; }

      void MakeNoise();
   }

   class Creature : ICreature
   {
      #region ICreature Members

      public int NumLegs
      {
         get
         {
            throw new Exception("Metoda lub operacja nie została zaimplementowana.");
         }
         set
         {
            throw new Exception("Metoda lub operacja nie została zaimplementowana.");
         }
      }

      public string Color
      {
         get
         {
            throw new Exception("Metoda lub operacja nie została zaimplementowana.");
         }
         set
         {
            throw new Exception("Metoda lub operacja nie została zaimplementowana.");
         }
      }

      public void MakeNoise()
      {
         throw new Exception("Metoda lub operacja nie została zaimplementowana.");
      }

      #endregion
   }

   class Program
   {
      static void Main(string[] args)
      {

      }
   }
}
